# Create a request rule version Create a request rule version Endpoint: POST /v3/request-rules/{id}/versions Version: 2026-01-08 Security: ZephrHmacHttp ## Path parameters: - `id` (string, required) Unique Request Rule identifier ## Response 200 fields (application/json): - `label` (string) Example: "Test" - `description` (string) Example: "This rule tests for authenticated users" - `priority` (integer) Example: 1 - `version` (number) Example: 1 - `last_updated` (string) Example: "2011-11-11T11:11:11.000" - `conditions` (object) - `conditions.url_pattern` (string) Example: "^/forum" - `conditions.method` (string) Example: "GET" - `lastUpdatedAt` (string) Example: "2022-06-01 00:00:00" - `requirements_script` (string) Example: "return []" - `action_script` (string) Example: "return \"this is a test\"" - `script_type` (string) Example: "javascript" - `graph_state` (string) Example: "{\"property1\": \"value1\"}" - `editing_mode` (string) Example: "manual" ## Response 400 fields